Bug 228688 - devel/py-cliff: update to 2.11.0
Summary: devel/py-cliff: update to 2.11.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on: 228681
Blocks: 228696 228701 228845
  Show dependency treegraph
 
Reported: 2018-06-02 15:07 UTC by Kai Knoblich
Modified: 2018-07-10 09:09 UTC (History)
3 users (show)

See Also:
alexander.nusov: maintainer-feedback+


Attachments
py-cliff-2.11.0.patch (3.79 KB, patch)
2018-06-02 15:07 UTC, Kai Knoblich
no flags Details | Diff
py-cliff-2.11.0-rev2.patch (3.75 KB, patch)
2018-06-09 17:59 UTC, Kai Knoblich
no flags Details | Diff
py-cliff-2.11.0-v3.patch (3.70 KB, patch)
2018-06-22 14:21 UTC, Kai Knoblich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2018-06-02 15:07:06 UTC
Created attachment 193928 [details]
py-cliff-2.11.0.patch

Hello,

attached is the patch from svn that updates devel/py-cliff to 2.11.0 .

Changes by upstream:
- https://docs.openstack.org/cliff/latest/user/history.html

Changes to the port:
- added LICENSE_FILE
- added DOCS option with appropriate dependencies
- sorted variables a bit
- updated WWW and reformatted pkg-descr

QA:
~~~
- poudriere (11.1-RELEASE amd64 + i386) for each py27 + py36 flavor -> OK
- portlint -> OK

Note:
Before this port can be added to the ports tree following dependencies must be resolved first:
- add textproc/py-openstackdocstheme (see also PR #228681: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=228681 )
Comment 1 Kai Knoblich freebsd_committer 2018-06-09 17:59:55 UTC
Created attachment 194106 [details]
py-cliff-2.11.0-rev2.patch

Same patch with keyword "concurrent" removed from USE_PYTHON.
Comment 2 Kai Knoblich freebsd_committer 2018-06-22 14:21:51 UTC
Created attachment 194498 [details]
py-cliff-2.11.0-v3.patch

Rebased patch after r472884
Comment 3 commit-hook freebsd_committer 2018-07-10 09:09:20 UTC
A commit references this bug:

Author: miwi
Date: Tue Jul 10 09:08:16 UTC 2018
New revision: 474339
URL: https://svnweb.freebsd.org/changeset/ports/474339

Log:
  - Update to 2.11.0
  - Added LICENSE_FILE
  - Added DOCS option with appropriate dependencies
  - Sorted variables a bit
  - Updated WWW and reformatted pkg-descr

  PR:		228688
  Submitted by:	freebsd_ports@k-worx.org
  Approved by:	maintainer
  Sponsored by:	iXsystems Inc.

Changes:
  head/devel/py-cliff/Makefile
  head/devel/py-cliff/distinfo
  head/devel/py-cliff/pkg-descr